From 31f0d655b9b0420ef73c3c8a80662cebba1307da Mon Sep 17 00:00:00 2001
From: Tomas Janousek <tomi@nomi.cz>
Date: Thu, 17 May 2007 15:32:14 +0200
Subject: [PATCH] Fix userFollowModel resource loading

The FbTk::Resource<BScreen::FollowModel>::setFromString function assumed
Ignore to be the default, which is not true, so it was not possible to use
Ignore at all.

Signed-off-by: Tomas Janousek <tomi@nomi.cz>
---
 src/ScreenResources.cc |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

diff --git a/src/ScreenResources.cc b/src/ScreenResources.cc
index 0f17c2a..8b71505 100644
--- a/src/ScreenResources.cc
+++ b/src/ScreenResources.cc
@@ -84,6 +84,7 @@ template<>
 string FbTk::Resource<BScreen::FollowModel>::getString() const {
     switch (m_value) {
     case BScreen::FOLLOW_ACTIVE_WINDOW:
+    default:
         return string("Follow");
         break;
     case BScreen::FETCH_ACTIVE_WINDOW:
@@ -93,7 +94,6 @@ string FbTk::Resource<BScreen::FollowModel>::getString() const {
         return string("SemiFollow");
         break;
     case BScreen::IGNORE_OTHER_WORKSPACES:
-    default:
         return string("Ignore");
         break;
     }
@@ -111,6 +111,8 @@ setFromString(char const *strval) {
         m_value = BScreen::FETCH_ACTIVE_WINDOW;
     else if (strcasecmp(strval, "SemiFollow") == 0)
         m_value = BScreen::SEMIFOLLOW_ACTIVE_WINDOW;
+    else if (strcasecmp(strval, "Ignore") == 0)
+        m_value = BScreen::IGNORE_OTHER_WORKSPACES;
     else
         setDefaultValue();
 }
-- 
1.5.1.4

